#include "H/Function_Init.H"

/*************************************************************
说明：
1、Options for Target‘Target1’：BL51 Locate->Code Range:0x100
2、烧录选项请选择DISRST，复位脚作为普通IO使用
3、改变TEST的定义，可以分别测试对应的功能
4、注意：先在Function.H里面选择测试型号
5、IAP_Test，烧录选项请使能WDT，其他测试关闭WDT
6、版本：V1.0
***************************************************************/

void main(void)
{
  IO_Init();

#if (Test == 1)
      BTM_Test();
#elif (Test == 2)
      EXTI_Test();
#elif (Test == 3)
      Timer_Test();
#elif (Test == 4)
      LED_Test();
#elif (Test == 5)
      PWM_Test();
#elif (Test == 6)
      Uart_Test();
#elif (Test == 7)
      SSI_Test();
#elif (Test == 8)
      ADC_Test();
#elif (Test == 9)
      IAP_Test();
#elif (Test == 10)
      Multiplier_Divider_Test();
#elif (Test == 11)
      CMPOP_Test();
#elif (Test == 12)
      CHKSUM_Test();			
#endif

}

